%define module_name Weasel
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTML/Selector/XPath.pm) perl(List/Util.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: PHP's Mink inspired multi-protocol web-testing library for Perl
Group: Development/Perl
License: perl
URL: https://weasel.pm/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EH/EHUELS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module abstracts away the differences between the various
web-driver protocols, like the Mink project does for PHP.

While heavily inspired by Mink, `Weasel' aims to improve over it
by being extensible, providing not just access to the underlying
browser, yet to provide building blocks for further development
and abstraction.

the Pherkin::Extension::Weasel manpage provides integration with
the Test::BDD::Cucumber manpage (aka pherkin), for BDD testing.

For the actual page interaction, this module needs a driver to
be installed.  Currently, that means the Weasel::Driver::Selenium2 manpage.
Other driver implementations, such as Sahi
can be independently developed and uploaded to CPAN, or contributed.
(We welcome and encourage both!)

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES README.md LICENSE
%perl_vendor_privlib/W*

%changelog
* Thu Feb 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- updated by package builder

* Thu Feb 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- updated by package builder

* Mon Feb 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- updated by package builder

* Tue Feb 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- updated by package builder

* Sun Feb 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- updated by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

